This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 805587 - Review Request: jquery - The jQuery JavaScript Library
Review Request: jquery - The jQuery JavaScript Library
Status: CLOSED DUPLICATE of bug 857992
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 457343 (view as bug list)
Depends On:
Blocks: 805327
  Show dependency treegraph
 
Reported: 2012-03-21 12:11 EDT by Luke Macken
Modified: 2012-09-17 13:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:26:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2012-03-21 12:11:55 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/jquery.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/jquery-1.7.1-1.fc16.src.rpm
Description:
jQuery is a fast and concise JavaScript Library that
simplifies HTML document traversing, event handling,
animating, and Ajax interactions for rapid web development.
jQuery is designed to change the way that you write
JavaScript.
Comment 1 Luke Macken 2012-03-21 12:56:44 EDT
Ok, this package is dumb. It probably should take the entire jQuery source tree (probably via git tag snapshot), and build & minify it ourselves.

I think jQuery uses the closure compiler to do the minification: https://developers.google.com/closure/compiler

There is also a pure-python tool by Google that we could potentially look into: https://code.google.com/p/v8/source/browse/branches/bleeding_edge/tools/jsmin.py
Comment 2 Toshio Ernie Kuratomi 2012-03-21 13:07:57 EDT
*** Bug 457343 has been marked as a duplicate of this bug. ***
Comment 3 Karel Klíč 2012-05-15 05:39:50 EDT
How can I help to move this review forward?


Here is a jQuery package built from upstream source tree:
http://kklic.fedorapeople.org/jquery.spec
http://kklic.fedorapeople.org/jquery-1.7.2-1.fc17.src.rpm

The build does not contain a minified version.  I'd wait until nodejs is packaged into Fedora and then start shipping the minified version the same way as upstream does.
Comment 4 Gregor Tätzner 2012-08-16 15:47:38 EDT
Are you interested in maintaining jquery? If yes, you should create your own review request since Luke seems to be unresponsive.
Comment 5 Luke Macken 2012-08-16 19:23:54 EDT
I think Karel's package is a much better base than mine, so we should review that going forward.
Comment 6 Gregor Tätzner 2012-09-17 13:26:43 EDT
allright, the party is continuing there: https://bugzilla.redhat.com/show_bug.cgi?id=857992

*** This bug has been marked as a duplicate of bug 857992 ***

Note You need to log in before you can comment on or make changes to this bug.